
Core - Bug # 21398

Status: Closed Priority: Should have
Author: Xavier Perseguers Category:
Created: 2009-10-29 Assigned To: Benjamin Mack
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.3
PHP Version: 5.2
Complexity:
Is Regression:
Sprint Focus:
Subject: Remove deprecated methods in t3lib_htmlmail
Description

Methods quoted_printable() and convertName() were announced to be removed in TYPO3 4.3. Do this yet.

(issue imported from #M12391)

Related issues:
related to Core - Task # 24954: The Big Cleanup 4.6 Closed 2011-04-25
duplicated by Core - Bug # 25103: Remove deprecated functions scheduled for r... Resolved 2011-02-19

History
#1 - 2010-09-21 11:56 - Ernesto Baschny

We won't remove deprecated stuff in 4.5 yet (LTS) but start doing so drastically in 4.6. So changed target version and keep it pending.

Regarding this issue, we'll introduce SwiftMail in 4.5, so these methods won't be needed for modern mailing effords anymore anyway. We hope that
some time after 4.5 is there, everyone switches from t3lib_htmlmail to t3lib_mail (SwiftMail based) anyway.

#2 - 2011-03-16 10:11 - Ernesto Baschny

Note that the whole t3lib_htmlmail is deprecated as of 4.5, so we could remove it in 4.7.

And this particular removal has already been done by Christian Kuhn in #25103. See this change:

http://git.typo3.org/TYPO3v4/Core.git?a=commit;h=42fcefcf61703d09e6029af765a2cc592b489015

#3 - 2011-03-16 10:12 - Ernesto Baschny

Done already in #25103

#4 - 2012-03-07 13:31 - Xavier Perseguers
- Status changed from Resolved to Closed

#5 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1081)
